Adjust memory allocation for services running under JVM on CNs

2017-10-24 15:29 - Dave Vieglais

Status: New Start date: 2017-10-24

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Story Points:    

Description

Most services on CNs run in JVM instances, each with separate restrictions on memory use.

Current configurations were mostly based on defaults and have not changed much despite significantly higher memory use for

systems such as Solr and Hazelcast.

The goal of this story is to evaluate the memory configuration of each JVM instance on the CNs and tune as necessary with the

primary goal of avoiding out of memory errors, secondary goal is improving performance.

Note that with increased heap allocation, garbage collection may become a significant bottleneck, with application freeze in the order

of several minutes possible or likely with higher heap allocations (e.g. 16GB)

Subtasks:

Task # 8205: Adjust memory allocation to Tomcat7 on CNs New

Task # 8206: Review and adjust memory allocation to Solr and zookeeper New

Story # 8207: review and adjust memory allocated to d1-processing New

Story # 8208: Review and adjust memory allocated to d1-index-task-generator and d1-inde... New

Related issues:

Blocked by Infrastructure - Story #8199: Increase memory allocation to CNs Closed 2017-10-24

History

#1 - 2017-10-24 15:30 - Dave Vieglais

- Blocked by Story #8199: Increase memory allocation to CNs added

#2 - 2017-12-26 18:10 - Dave Vieglais

- Sprint set to Infrastructure backlog
